Update Hourly Report Preset
Applies a partial update to an existing hourly report preset identified by id. Only fields included in the request body are modified.
Token scopes: timesheets:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
preset_id
The unique identifier of the hourly report preset to update
Request
This endpoint expects an object.
data
Fields to update on the existing hourly report preset.
Response
Successful operation.
data
Container object with the identifier of the updated hourly report preset.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error